Bug 1156552 - [rfe] use dnf instead of yum
Summary: [rfe] use dnf instead of yum
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cobbler
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/cobbler/cobbler/is...
Whiteboard:
Depends On:
Blocks: 1156491
TreeView+ depends on / blocked
 
Reported: 2014-10-24 16:19 UTC by Rahul Sundaram
Modified: 2019-10-23 03:36 UTC (History)
7 users (show)

Fixed In Version: cobbler-3.0.1-1.fc31
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-23 03:36:46 UTC
Type: Bug


Attachments (Terms of Use)
add dnf support (10.61 KB, patch)
2015-05-14 12:27 UTC, Michael Mráka
no flags Details | Diff

Description Rahul Sundaram 2014-10-24 16:19:42 UTC
Description of problem:

Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

Please switch from yum/yum-utils to dnf/dnf-plugins-core. Thanks!

Comment 1 Michael Mráka 2015-05-14 12:27:19 UTC
Created attachment 1025371 [details]
add dnf support

This is a patch to add basic dnf support.

Comment 2 Orion Poplawski 2015-05-26 22:16:40 UTC
Michael - would you care to file a PR upstream?  https://github.com/cobbler/cobbler/

Comment 3 Jaroslav Mracek 2016-01-06 16:07:54 UTC
Please could you confirm, that the last version is fully compatible with dnf. If yes than please close the bug report.

Comment 4 Orion Poplawski 2016-01-11 16:55:23 UTC
No, it has not been fully ported to dnf.  We have a patch to use dnf repoquery instead on yum-utils repoquery, but that's about it.  cobbler still uses the yum python api.

Comment 5 Fedora Admin XMLRPC Client 2017-02-15 22:20:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Michal Domonkos 2019-01-21 16:20:21 UTC
Please note that we're about to drop YUM-3 completely from Fedora in the near future.  Currently, we'd like to make this happen in Fedora 30 which goes out in April.

If you have any plans to port cobbler to the DNF API, please consider doing that as we cannot guarantee YUM-3 availability in the upcoming Fedora releases anymore.

Thanks!

Comment 7 Orion Poplawski 2019-02-25 03:52:37 UTC
Work on this is proceeding upstream


Note You need to log in before you can comment on or make changes to this bug.